Get Cloud Accounts for Connection
Retrieves a list of all cloud accounts associated with a specified cloud connection ID, used for resource selection and data security analysis.
Path Parameters
- cloudConnectionId int32 required
Unique identifier of the cloud connection
Query Parameters
- includeDisabled boolean
Whether to include disabled accounts in the response
- 200
- 400
- 403
- 404
- 500
Successfully retrieved cloud accounts
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the request was successful
accounts object[]
Array of cloud accounts associated with the connection
cloudAccountId stringUnique identifier of the cloud account (AWS Account ID, Azure Subscription ID, etc.)
cloudAccountName stringHuman-readable name of the cloud account
cvCloudAccountId int32Internal Commvault identifier for the cloud account
dataSecurityEnabled booleanIndicates whether data security analysis is enabled for this account
dataSecurityFilter stringJSON-formatted filter criteria specific to this account for resource selection
{
"success": true,
"accounts": [
{
"cloudAccountId": "string",
"cloudAccountName": "string",
"cvCloudAccountId": 0,
"dataSecurityEnabled": true,
"dataSecurityFilter": "string"
}
]
}
Bad Request - Invalid cloud connection ID
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Forbidden - Insufficient permissions to access cloud connection
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Not Found - Cloud connection does not exist
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}